Name: dragon-watch
Version: 1.0
Release: 1
Summary: Dragon Go Server monitoring applet
License: GPL
Group: Amusements/Games
URL: http://ccdw.org/~cjj/prog/dragon-watch/
Source: http://ccdw.org/~cjj/prog/dragon-watch/src/%{name}-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
dragon-watch is a GNOME panel applet that monitors the turn-based Dragon Go
Server for games to play and messages to read.

%prep
%setup -q

%build
%configure
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="dragon-watch-applet.schemas"
for S in $SCHEMAS; do
	gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="dragon-watch-applet.schemas"
for S in $SCHEMAS; do
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/pixmaps/*.png
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Mon Jun 20 2005 Chun-Chung Chen <cjj@u.washington.edu>
- 1.0
